Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I've recently recompiled suPHP from the apt-get source to include several commandline options. After building the pacakge it remains at version 0.7.1-1 and aptitude keeps trying to install over the custom one I've built. How can I update the version to reflect something like 0.7.1-1-marco0 - or something similar to that (like how Ubuntu will occasionally place ubuntu0 or ubuntu1 to a version to indicated an edit to the upstream's source)

share|improve this question

1 Answer 1

up vote 3 down vote accepted

Run dch -i in the source directory to add a new changelog entry. If you update the version line to something like 0.7.1-1ubuntu0+marco1 (the key being the +) it'll sort as being newer than 0.7.1-1 but still older than 0.7.1-1ubuntu1 when Ubuntu releases a security update (since missing security updates is bad)

If you really want to not get security updates for it, you can lock the version of the package with sudo aptitude hold suphp

share|improve this answer
    
Thank you for the information. This is exactly what I was looking for. –  Marco Ceppi Sep 18 '10 at 17:35

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.